summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorlanfer <lanfer@17b73243-c579-4c4c-a9d2-2d5706c11dac>2000-06-26 12:11:33 +0000
committerlanfer <lanfer@17b73243-c579-4c4c-a9d2-2d5706c11dac>2000-06-26 12:11:33 +0000
commita855bb52af67d9540f616886866d9ca984ae40b6 (patch)
tree8c002ca8a4f4bb541941591c6d0109fef8de7ff4
parent1b1ed402da4b65e4e018f58f5945359142a5c6ee (diff)
support for HDF5-1.3.x compress definitions
git-svn-id: http://svn.cactuscode.org/flesh/trunk@1704 17b73243-c579-4c4c-a9d2-2d5706c11dac
-rwxr-xr-xlib/make/extras/HDF5/setup.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/lib/make/extras/HDF5/setup.sh b/lib/make/extras/HDF5/setup.sh
index 1180ce9f..7f647817 100755
--- a/lib/make/extras/HDF5/setup.sh
+++ b/lib/make/extras/HDF5/setup.sh
@@ -47,16 +47,23 @@ fi
# Set the HDF5 libs, libdirs and includedirs
-HDF5_LIBS=hdf5
+HDF5_LIBS=hdf5
HDF5_LIB_DIRS="$HDF5_DIR/lib"
HDF5_INC_DIRS="$HDF5_DIR/include"
# Check whether we have to link with libz.a
-grep -qe '#define HAVE_COMPRESS2 1' ${HDF5_DIR}/include/H5config.h 2> /dev/null
+# this is for 1.3.x versions of HDF5
+grep -qe '#define H5_HAVE_COMPRESS2 1' ${HDF5_DIR}/include/H5pubconf.h 2> /dev/null
test_compress2=$?
+# this is for 1.2.x versions of HDF5
+if [ $test_compress2 -ne 0 ] ; then
+ grep -qe '#define HAVE_COMPRESS2 1' ${HDF5_DIR}/include/H5config.h 2> /dev/null
+ test_compress2=$?
+fi
+
# this is for old 1.0.x versions of HDF5 where they used different defines for zlib
grep -qe '#define HAVE_LIBZ 1' ${HDF5_DIR}/include/H5config.h 2> /dev/null
test_zlib=$?